Subject: [bitcoin-dev] AT&T has effectively banned Bitcoin nodes by closing port 8333 via a hidden firewall in the cable box

From: [email-masked]
Date: Mon, 31 Aug 2015 20:26:17 -0400

I have been struggling to get port 8333 open all year, I gave up and was using blockchain for months despite a strong desire to stay on Bitcoin Core, but now the issue has reached critical mass since I'm using the python Bitcoin server module. I have literally spent my entire day trying to open 8333, I thoroughly made sure it was open on the router and computer and it's still closed. Strangely enough I got it open for 30 seconds once today but something closed it immediately.

After hours of phone calls and messaging AT&T finally told me the truth of what was going on, and only because I noticed it myself and demanded an answer. The internet is being routed through a DVR/cable box, and they confirmed the DVR also has a firewall. To make this even more absurd they refused to turn the firewall off because it is their equipment. So effectively they can firewall any port they want even if the customer asks them not to, in the unlikely event the customer figures it out.

Perhaps this is the driving force behind the inexplicable and massive decline in Bitcoin nodes. Bitcoin is being censored by the ISPs themselves, and they won't even tell you that. I had to get in touch with headquarters and threaten to rip it out of the wall to get a proper answer.